package org.jboss.security;

package .tmp;

import java.security.AccessController;
import java.security.Principal;
import java.security.PrivilegedAction;
import javax.security.auth.Subject;

class SecurityAssociationActions {
  static void setPrincipalInfo(Principal principal, Object credential, Subject subject) {
    SetPrincipalInfoAction action = new SetPrincipalInfoAction(principal, credential, subject);
    AccessController.doPrivileged((PrivilegedAction)action);
  }
  
  static void setServer() {
    AccessController.doPrivileged(SetServerAction.ACTION);
  }
  
  static void clear() {
    AccessController.doPrivileged(ClearAction.ACTION);
  }
  
  static Subject getSubject() {
    Subject subject = AccessController.<Subject>doPrivileged(GetSubjectAction.ACTION);
    return subject;
  }
  
  static Principal getPrincipal() {
    Principal principal = AccessController.<Principal>doPrivileged(GetPrincipalAction.ACTION);
    return principal;
  }
  
  static Object getCredential() {
    Object credential = AccessController.doPrivileged(GetCredentialAction.ACTION);
    return credential;
  }
}
